| Elektra 0.11.0

Macros | Enumerations
kdbenum.c File Reference

dummy file to document the enums which have no name in the header file. More...

## Macros
#define | KDB_VERSION "x.y.z"
| The version information in x.y.z format as string.
#define | KDB_VERSION_MAJOR x
| The version information of the major version as number.
#define | KDB_VERSION_MINOR y
| The version information of the minor version as number.
#define | KDB_VERSION_PATCH z
| The version information of the patch version as number.
#define | KDB_PATH_SEPARATOR '/'
| `/` is used to separate key names.
#define | KDB_PATH_ESCAPE '\\'
| `\` is used as escape character in the key name.
#define | ELEKTRA_ENABLE_OPTIMIZATIONS
| If optimizations are enabled in Elektra.
#define | KS_END ((Key *) 0)
| End of a list of keys.

## Enumerations
enum | elektraKeyFlags { KEY_VALUE = 1 << 1 , KEY_FLAGS = 3 , KEY_BINARY = 1 << 4 , KEY_SIZE = 1 << 11 , KEY_META = 1 << 15 , KEY_NULL = 1 << 16 , KEY_END = 0 }
| Allows keyNew() to determine which information comes next. More...
enum | elektraCopyFlags { KEY_CP_NAME = 1 << 0 , KEY_CP_STRING = 1 << 1 , KEY_CP_VALUE = 1 << 2 , KEY_CP_META = 1 << 3 , KEY_CP_ALL = KEY_CP_NAME | KEY_CP_VALUE | KEY_CP_META }
| Copy options. More...
enum | elektraLockFlags { KEY_LOCK_NAME = 1 << 17 , KEY_LOCK_VALUE = 1 << 18 , KEY_LOCK_META = 1 << 19 }
| Lock options. More...
enum | elektraNamespace { KEY_NS_NONE = 0 , KEY_NS_CASCADING = 1 , KEY_NS_META = 2 , KEY_NS_SPEC = 3 , KEY_NS_PROC = 4 , KEY_NS_DIR = 5 , KEY_NS_USER = 6 , KEY_NS_SYSTEM = 7 , KEY_NS_DEFAULT = 8 }
| Elektra currently supported Key namespaces. More...
enum | elektraLookupFlags { KDB_O_NONE = 0 , KDB_O_DEL = 1 , KDB_O_POP = 1 << 1 }
| Options to change the default behavior of ksLookup() functions. More...

## Detailed Description

dummy file to document the enums which have no name in the header file.

They are duplicated here to document them.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)